Page MenuHomePhabricator

[MLIR] Support memrefs with complex element types.
ClosedPublic

Authored by pifon2a on Feb 10 2020, 3:02 AM.

Details

Summary

For some reason it is only possible to create memrefs of scalars or vectors but not complex numbers.

Diff Detail

Event Timeline

pifon2a created this revision.Feb 10 2020, 3:02 AM
Herald added a project: Restricted Project. · View Herald Transcript
pifon2a edited reviewers, added: ftynse, bkramer; removed: rriddle.Feb 10 2020, 3:03 AM
ftynse accepted this revision.Feb 10 2020, 7:27 AM
rriddle accepted this revision.Feb 11 2020, 9:16 AM
rriddle added inline comments.
mlir/lib/IR/StandardTypes.cpp
336–337

This is missing an update to UnrankedMemRefType. Also, did you check to make sure that no documentation needs to be updated?

This revision is now accepted and ready to land.Feb 11 2020, 9:16 AM
nicolasvasilache accepted this revision.Feb 11 2020, 6:19 PM
pifon2a updated this revision to Diff 244075.Feb 12 2020, 12:05 AM

Updated unranked memrefs.

This revision was automatically updated to reflect the committed changes.